Package org.eclipse.net4j.util.container

# Interface IContainerEventVisitor.Filtered<E>

All Superinterfaces:
  `IContainerEventVisitor<E>`

Enclosing interface:
  `IContainerEventVisitor<E>`

public static interface IContainerEventVisitor.Filtered<E> extends IContainerEventVisitor<E>
An extension interface for `container event visitors` that can `filter` deltas from being visited.

Author:
  Eike Stepper
See Also:
  - `IContainerEvent.accept(IContainerEventVisitor)`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainerEventVisitor

`IContainerEventVisitor.Filtered<E>`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filter(E element)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainerEventVisitor

`added, removed`

## Method Details

### filter

boolean filter(E element)